version: '2'
services:
  db:
    image: mariadb:10.3.15-bionic
    environment:
      - "MYSQL_ROOT_PASSWORD=wheeliesmack"
    volumes:
      - muster_sql_data:/var/lib/mysql

  backend:
    build:
      context: ../..
      dockerfile: dockerfiles/muster-backend/Dockerfile
    environment:
      - "MUSTER_SITE_URL=http://localhost:8009/"
      - "MUSTER_DATABASE_HOST=db"
      - "MUSTER_DATABASE_USERNAME=root"
      - "MUSTER_DATABASE_PASSWORD=wheeliesmack"
      - "MUSTER_EMAIL_FROM=muster@ukrda.org"
      - "MUSTER_SMTP_SERVER=mailserver"
      - "MUSTER_SMTP_USERNAME="
      - "MUSTER_SMTP_PASSWORD="
      - "MUSTER_SMTP_PORT=1025"
      - "MUSTER_SMTP_USE_TLS=false"
      - "MUSTER_DATABASE_NAME=muster"
    ports:
      - "8008:80"

  frontend:
    build:
      context: ../..
      dockerfile: dockerfiles/muster-frontend/Dockerfile
      args:
        - "backend_url=http://localhost:8008"
    ports:
      - "8009:80"

  mailserver:
    image: mailhog/mailhog
    ports:
      - "8010:8025"

volumes:
  muster_sql_data:
